cmake_minimum_required( VERSION 3.15 )

set( slate_use_openmp "true" )
set( slate_use_cuda   "false" )
set( slate_use_hip    "false" )
set( slate_use_sycl   "false" )
set( slate_use_mpi    "true" )

include( CMakeFindDependencyMacro )
if (slate_use_openmp)
    find_dependency( OpenMP )
endif()

if (slate_use_cuda)
    find_dependency( CUDAToolkit )
endif()

if (slate_use_hip)
    find_dependency( rocblas )
endif()

find_dependency( blaspp )
find_dependency( lapackpp )

include( "${CMAKE_CURRENT_LIST_DIR}/slateTargets.cmake" )
